Docs
Add File Format
POST /Drives/{driveId}/files/{fileId}/versions/{versionId}/formats
POST
/Drives/{driveId}/files/{fileId}/versions/{versionId}/formatsAdds another format (file type) to an existing version of a file and returns an upload address for its content. Use Drives_AddFileVersion for a new revision instead. Needs edit or admin access to the file's location.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
| versionId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| fileFormat | string | Optional | |
| fileSize | integer | Optional |
Response
| Field | Type | Description |
|---|---|---|
| sasUri | uri| null |